=== release 1.14.1 ===

2018-05-17 13:21:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.1

2018-05-17 13:21:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-05-17 12:37:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/hr.po:
	  Update translations

2018-05-17 13:54:35 +0900  hoonhee.lee <hoonhee.lee@lge.com>

	* gst/playback/gstplaybin3.c:
	  playbin3: Collect appropriate stream-type when doing stream selection
	  https://bugzilla.gnome.org/show_bug.cgi?id=796193

2017-12-13 12:30:54 +0100  Georg Lippitsch <glippitsch@toolsonair.com>

	* gst-libs/gst/video/gstvideotimecode.c:
	  videotimecode: Allow 24000/1001 frame rate
	  https://bugzilla.gnome.org/show_bug.cgi?id=796107

2018-05-02 18:39:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	  appsink: Handle unlock in drain query handling too
	  And also handle flushing, we might otherwise wait here forever when
	  flushing too.

2018-05-02 18:35:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	  appsink: Make sure to also handle unlock when waiting for EOS to be handled
	  Otherwise shutting down during EOS waiting will cause a deadlock.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795551

2018-05-02 18:11:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	* gst-libs/gst/app/gstappsrc.c:
	  appsrc/sink: Fix optimization for only signalling waiters if someone is actually waiting
	  It is possible that both application and the stream are waiting
	  currently, if for example the following happens:
	  1) app is waiting because no buffer in appsink
	  2) appsink providing a buffer and waking up app
	  3) appsink getting another buffer and waiting because it's full now
	  4) app thread getting back control
	  Previously step 4 would overwrite that the appsink is currently waiting,
	  so it would never be signalled again.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795551

2018-05-13 23:31:22 +0100  Pierre Labastie <pierre.labastie@neuf.fr>

	* tests/examples/gl/sdl/Makefile.am:
	  examples: gl: sdl: link to the right in-tree libgstvideo
	  https://bugzilla.gnome.org/show_bug.cgi?id=796082

2018-05-12 17:19:50 +0100  Philippe Normand <philn@igalia.com>

	* gst/subparse/gstsubparse.c:
	  subparse: follow-up build fix after d871b1205

2018-05-12 13:53:02 +0100  Philippe Normand <philn@igalia.com>

	* gst/subparse/gstsubparse.c:
	* tests/check/elements/subparse.c:
	  subparse: support for more than 32 unclosed markup tags
	  https://bugzilla.gnome.org/show_bug.cgi?id=796043

2018-05-10 01:54:36 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gstdecodebin3-parse.c:
	* gst/playback/gstdecodebin3.c:
	  decodebin3: Do not modify structure of EOS event
	  https://bugzilla.gnome.org/show_bug.cgi?id=795981

2018-05-10 01:33:55 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Do not modify structure of EOS event
	  https://bugzilla.gnome.org/show_bug.cgi?id=795981

2018-05-09 10:39:23 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: Fix GList leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=795937

2018-05-08 23:44:38 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: Fix string leak
	  uri and suburi should be free'd
	  https://bugzilla.gnome.org/show_bug.cgi?id=795932

2018-05-04 10:35:36 +0200  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/video/video-chroma.c:
	* gst-libs/gst/video/video-converter.c:
	  video: Silence "restrict" issues with ORC code
	  The problem is that even though the functions we are calling are
	  in-place transformation, orc automatically puts the restrict keyword
	  on all arguments. To silence that warning just create yet-another
	  variable containing the same value.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795765

2018-04-30 17:17:22 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/pbutils/descriptions.c:
	  pbutils: Avoid assertion describing raw audio caps without format
	  We used to get:
	  gst_audio_format_from_string: assertion 'format != NULL' failed

2018-04-22 10:49:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/encoding/gstencodebin.c:
	  encodebin: Also lock input caps when dynamic output is disabled
	  With the way caps negotiation work in encoders, the only way to ensure
	  that no downstream renegotiation is done in the encoder is to also lock
	  upstream caps. Anyway with the current behavior upstream of encoders
	  *require* to handle any file format so locking upstream format should
	  be safe.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795464

2018-04-30 19:49:20 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst-libs/gst/tag/gsttagmux.c:
	  tagmux: Reset final tags for reusing element
	  If the output tag had been exposed, it never ever updated
	  even if we reset the tagmux using state change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795691

2018-04-20 12:30:22 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* tests/check/libs/videodecoder.c:
	  videodecoder: add test for event order
	  When frames are dropped or reordered then the serialized events are
	  collected and pushed with the next frame. This test verifies that the
	  order is preserved.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794192

2018-03-08 11:28:58 +0100  Matthias Fend <matthias.fend@wolfvision.net>

	* gst-libs/gst/video/gstvideodecoder.c:
	  videodecoder: keep event order
	  Since events are pushed out in reverse order, newer events need to
	  be added at the front of event lists
	  https://bugzilla.gnome.org/show_bug.cgi?id=794192

2018-04-25 09:28:53 +0900  hoonhee.lee <hoonhee.lee@lge.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: don't segfault if a pad is not a source pad when it is removed
	  Ignore to handling a pad of decodebin3 which doesn't have corresponding output
	  when it is removed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795529

2018-04-25 01:33:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/cocoa/gstglwindow_cocoa.m:
	  gl/cocoa: Let ARC clean up our dispatch queue if ARC is used, and otherwise do it manually
	  Also don't use __bridge casts if ARC is not used, as is the case on 32
	  bit systems.

2018-04-25 01:08:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/cocoa/gstglwindow_cocoa.m:
	  gl/cocoa: Use NSRect instead of CGRect
	  On 64 bit systems they're typedefs of each other but on 32 bit systems
	  not, and we pass the rect to an API that expects a NSRect

2018-04-20 21:54:23 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/gl/gstgldisplay.c:
	* gst-libs/gst/gl/gstglmemory.c:
	* gst-libs/gst/gl/gstglslstage.c:
	* gst-libs/gst/gl/gstglupload.c:
	  gl: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:17 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/pbutils/codec-utils.c:
	  pbutils: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:16 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/video/gstvideometa.c:
	* gst-libs/gst/video/video-color.c:
	* gst-libs/gst/video/video-event.c:
	* gst-libs/gst/video/video-info.c:
	* gst-libs/gst/video/videoorientation.c:
	  video: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:16 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/audio/audio-converter.c:
	* gst-libs/gst/audio/audio-info.c:
	* gst-libs/gst/audio/gstaudiodecoder.c:
	* gst-libs/gst/audio/gstaudioringbuffer.c:
	  audio: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:15 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/rtsp/gstrtspmessage.c:
	* gst-libs/gst/rtsp/gstrtsprange.c:
	* gst-libs/gst/rtsp/gstrtsptransport.c:
	* gst-libs/gst/rtsp/gstrtspurl.c:
	  rtsp: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-20 21:53:10 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/rtp/gstrtcpbuffer.c:
	* gst-libs/gst/rtp/gstrtpbaseaudiopayload.c:
	* gst-libs/gst/rtp/gstrtpbuffer.c:
	* gst-libs/gst/rtp/gstrtphdrext.c:
	  rtp: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-20 11:42:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/gl/meson.build:
	* gst-libs/gst/gl/meson.build:
	  meson: gl: fix 'invalid keyword argument' meson warnings
	  Required is not a valid kwarg for cc.has_header()

2018-04-18 10:28:42 -0400  Omar Akkila <omar.akkila@collabora.co.uk>

	* gst-libs/gst/gl/egl/gsteglimage.c:
	  egl: fix build when using RPi EGL
	  https://bugzilla.gnome.org/show_bug.cgi?id=795336

2018-04-16 11:10:45 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/gl/meson.build:
	  gl: Define default value for GST_GL_HAVE_WINDOW_GBM
	  Thus, silent compiler's warning:
	  "GST_GL_HAVE_WINDOW_GBM" is not defined, evaluates to 0 [-Wundef]

2018-04-23 16:32:41 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: fix filtered getcaps
	  In the situation described in
	  https://bugzilla.gnome.org/show_bug.cgi?id=795397,
	  downstream_caps consists of two structures, the first with
	  the preferred rate, if at all possible (44100), the second
	  containing the full range of allowed rates, as audioresample
	  correctly tries to negotiate passthrough caps.
	  As audioaggregator cannot perform rate conversion, it wants
	  to return a fixated rate in its getcaps implementation,
	  however it previously directly used the first structure in
	  the caps allowed downstream, without taking the filter into
	  consideration, to determine the rate to fixate to.
	  With this, we first intersect our downstream caps with the
	  filter, in order not to fixate to an unsupported rate.

2018-04-13 20:18:56 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/tag/gstid3tag.c:
	* gst-libs/gst/tag/gstvorbistag.c:
	* gst-libs/gst/tag/gstxmptag.c:
	* gst-libs/gst/tag/tags.c:
	  tag: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-12 22:24:26 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: unref converted buffer after gst_buffer_replace

2018-04-12 22:23:50 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/alsa/gstalsamidisrc.c:
	  alsamidisrc: unref buffer_list before early return

2018-04-10 09:31:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Avoid unreffing a pad we are not owning
	  expose_output_pad takes ownership of the pad.

2018-04-12 19:33:18 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: free_play_items when READY_TO_PAUSED failed.
	  We will never go through the PAUSED_TO_READY transition if
	  that is the case, and thus never free the play items.

2018-04-12 18:12:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/playback/gstplaybin3.c:
	  playbin3: fix leak of recursive mutex

2018-04-11 22:56:34 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/vorbis/gstvorbisenc.c:
	  vorbisenc: do not map input buffer in WRITE mode

2018-04-11 21:40:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/gstaudiovisualizer.c:
	  audiovisualizer: Only fixate pixel-aspect-ratio if the field exists
	  It's optional.

2018-04-10 21:18:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/gstaudiovisualizer.c:
	  audiovisualizer: Fixate pixel-aspect-ratio to the closest value to 1/1

2018-04-07 11:07:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/audio/gstaudioringbuffer.c:
	  audioringbuffer: Don't spam INFO for every buffer
	  This makes GST_DEBUG=4 outputs too spammy, and such frequent messages
	  are meant to go into DEBUG or TRACE anyway.

2018-04-05 16:41:57 +0200  Zeeshan Ali <zeeshanak@gnome.org>

	* tests/check/meson.build:
	  tests: Enable tests for videodecoder
	  The tests pass fine here so don't see any reason to keep them disabled.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795005

2018-04-04 19:30:55 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/encoding/gstencodebin.c:
	  encodebin: Always respect encoding profile preset factory name
	  And fail if it is not present.

2018-03-04 16:41:14 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* gst-libs/gst/gl/egl/gstglcontext_egl.c:
	* gst-libs/gst/gl/gbm/gstglwindow_gbm_egl.c:
	* gst-libs/gst/gl/gbm/gstglwindow_gbm_egl.h:
	  gl/gbm: Initialize window handle (= gbm surface) like other window systems
	  https://bugzilla.gnome.org/show_bug.cgi?id=793997

2018-03-27 10:43:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/gl/Makefile.am:
	  gl: pick up GstVideo-1.0.gir from local build dir
	  https://bugzilla.gnome.org/show_bug.cgi?id=794708

2018-03-22 11:12:20 +0100  Antonio Ospite <ao2@ao2.it>

	* tools/gst-play-kb.c:
	  tools: play: fix leaving STDIN in non-blocking mode after exit
	  gst-play-1.0 sets STDIN to non-blocking mode to have the input
	  characters read as soon as they arrive.
	  However, when gst_play_kb_set_key_handler() gets called from
	  restore_terminal() it forgets to restore the STDIN blocking status.
	  This can result in broken behavior for cli command executed in the same
	  terminal after gst-play-1.0 exited.
	  It turns out that putting STDIN in non-blocking mode is not even the
	  proper way to achieve the desired effect, instead VMIN and VTIME in
	  struct termios should be set to 0.
	  Let's do that, and don't mess with the STDIN blocking mode now that it's
	  not necessary.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794591

2018-03-25 12:48:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/gl/Makefile.am:
	  gl: Disable glmixerbin for the time being too
	  Otherwise we have one copy in gst-plugins-bad and one (unused) here,
	  which makes static linking unhappy.

2018-03-23 14:24:38 +0100  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audio-aggregator: Check return values
	  And copy over already-parsed information
	  CID #1427140

2018-03-22 07:56:28 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* gst-libs/gst/gl/gstglupload.c:
	* gst-libs/gst/gl/viv-fb/gstglwindow_viv_fb_egl.c:
	  viv-fb: Include gstglfuncs.h to fix cross compilation errors
	  https://bugzilla.gnome.org/show_bug.cgi?id=794589

2018-03-21 10:27:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/video-tile.h:
	  video: Set correct value in g-i annotations for tile related mask constants

2018-03-21 10:25:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/video.h:
	  video: Include gstvideoaffinetransformationmeta.h in video.h

2018-03-21 10:21:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/pbutils.h:
	  pbutils: Include gstaudiovisualizer.h in pbutils.h

=== release 1.14.0 ===

2018-03-19 20:15:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.0

2018-03-19 20:15:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-03-17 06:33:38 +0100  Edward Hervey <edward@centricular.com>

	* ext/ogg/gstoggstream.c:
	  oggstream: protect against out-of-bounds read
	  We need at least 17 bytes of data for a valid flac header
	  oss-fuzz #6974

2018-03-16 09:28:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/audiomixer.c:
	  tests: audiomixer: remove unistd.h include
	  Not needed and breaks the build with MVSC.

2018-03-15 09:58:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstaudiostreamalign.h:
	  audiostreamalign: Mark the whole type as new in 1.14

2018-03-13 23:09:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* pkgconfig/gstreamer-audio-uninstalled.pc.in:
	* pkgconfig/gstreamer-audio.pc.in:
	* pkgconfig/gstreamer-video-uninstalled.pc.in:
	* pkgconfig/gstreamer-video.pc.in:
	* pkgconfig/meson.build:
	  pkg-config: Add orc-0.4 to Requires.private of gstreamer-audio and gstreamer-video
	  https://bugzilla.gnome.org/show_bug.cgi?id=794307

=== release 1.13.91 ===

2018-03-13 19:13:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.13.91

2018-03-13 19:13:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-03-13 13:49:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/audio/meson.build:
	  meson: install new audio-prelude.h

2018-03-13 11:56:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/Makefile.am:
	* docs/libs/meson.build:
	  docs: update api decorators to ignore

2018-03-13 11:48:31 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/video/Makefile.am:
	* gst-libs/gst/video/colorbalance.h:
	* gst-libs/gst/video/colorbalancechannel.h:
	* gst-libs/gst/video/gstvideoaffinetransformationmeta.h:
	* gst-libs/gst/video/gstvideodecoder.h:
	* gst-libs/gst/video/gstvideoencoder.h:
	* gst-libs/gst/video/gstvideofilter.h:
	* gst-libs/gst/video/gstvideometa.h:
	* gst-libs/gst/video/gstvideopool.h:
	* gst-libs/gst/video/gstvideosink.h:
	* gst-libs/gst/video/gstvideotimecode.h:
	* gst-libs/gst/video/gstvideoutils.h:
	* gst-libs/gst/video/meson.build:
	* gst-libs/gst/video/navigation.h:
	* gst-libs/gst/video/video-blend.h:
	* gst-libs/gst/video/video-chroma.h:
	* gst-libs/gst/video/video-color.h:
	* gst-libs/gst/video/video-converter.h:
	* gst-libs/gst/video/video-dither.h:
	* gst-libs/gst/video/video-event.h:
	* gst-libs/gst/video/video-format.h:
	* gst-libs/gst/video/video-frame.h:
	* gst-libs/gst/video/video-info.h:
	* gst-libs/gst/video/video-multiview.h:
	* gst-libs/gst/video/video-overlay-composition.h:
	* gst-libs/gst/video/video-prelude.h:
	* gst-libs/gst/video/video-resampler.h:
	* gst-libs/gst/video/video-scaler.h:
	* gst-libs/gst/video/video-tile.h:
	* gst-libs/gst/video/video.h:
	* gst-libs/gst/video/video_mkenum.py:
	* gst-libs/gst/video/videodirection.h:
	* gst-libs/gst/video/videoorientation.h:
	* gst-libs/gst/video/videooverlay.h:
	  video: GST_EXPORT -> GST_VIDEO_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:32:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/tag/Makefile.am:
	* gst-libs/gst/tag/gsttagdemux.h:
	* gst-libs/gst/tag/gsttagmux.h:
	* gst-libs/gst/tag/id3v2.h:
	* gst-libs/gst/tag/meson.build:
	* gst-libs/gst/tag/tag-prelude.h:
	* gst-libs/gst/tag/tag.h:
	* gst-libs/gst/tag/tag_mkenum.py:
	* gst-libs/gst/tag/xmpwriter.h:
	  tag: GST_EXPORT -> GST_TAG_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:27:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/sdp/Makefile.am:
	* gst-libs/gst/sdp/gstmikey.h:
	* gst-libs/gst/sdp/gstsdpmessage.h:
	* gst-libs/gst/sdp/meson.build:
	* gst-libs/gst/sdp/sdp-prelude.h:
	* gst-libs/gst/sdp/sdp.h:
	  sdp: GST_EXPORT -> GST_SDP_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:23:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/rtsp/Makefile.am:
	* gst-libs/gst/rtsp/gstrtspconnection.h:
	* gst-libs/gst/rtsp/gstrtspdefs.h:
	* gst-libs/gst/rtsp/gstrtspextension.h:
	* gst-libs/gst/rtsp/gstrtspmessage.h:
	* gst-libs/gst/rtsp/gstrtsprange.h:
	* gst-libs/gst/rtsp/gstrtsptransport.h:
	* gst-libs/gst/rtsp/gstrtspurl.h:
	* gst-libs/gst/rtsp/meson.build:
	* gst-libs/gst/rtsp/rtsp-prelude.h:
	* gst-libs/gst/rtsp/rtsp.h:
	* gst-libs/gst/rtsp/rtsp_mkenum.py:
	  rtsp: GST_EXPORT -> GST_RTSP_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:17:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/rtp/Makefile.am:
	* gst-libs/gst/rtp/gstrtcpbuffer.h:
	* gst-libs/gst/rtp/gstrtpbaseaudiopayload.h:
	* gst-libs/gst/rtp/gstrtpbasedepayload.h:
	* gst-libs/gst/rtp/gstrtpbasepayload.h:
	* gst-libs/gst/rtp/gstrtpbuffer.h:
	* gst-libs/gst/rtp/gstrtpdefs.h:
	* gst-libs/gst/rtp/gstrtphdrext.h:
	* gst-libs/gst/rtp/gstrtppayloads.h:
	* gst-libs/gst/rtp/meson.build:
	* gst-libs/gst/rtp/rtp-prelude.h:
	* gst-libs/gst/rtp/rtp_mkenum.py:
	  rtp: GST_EXPORT -> GST_RTP_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:13:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/riff/Makefile.am:
	* gst-libs/gst/riff/meson.build:
	* gst-libs/gst/riff/riff-ids.h:
	* gst-libs/gst/riff/riff-media.h:
	* gst-libs/gst/riff/riff-prelude.h:
	* gst-libs/gst/riff/riff-read.h:
	* gst-libs/gst/riff/riff.h:
	  riff: GST_EXPORT -> GST_RIFF_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 11:08:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/pbutils/Makefile.am:
	* gst-libs/gst/pbutils/codec-utils.h:
	* gst-libs/gst/pbutils/descriptions.h:
	* gst-libs/gst/pbutils/encoding-profile.h:
	* gst-libs/gst/pbutils/encoding-target.h:
	* gst-libs/gst/pbutils/gstaudiovisualizer.h:
	* gst-libs/gst/pbutils/gstdiscoverer.h:
	* gst-libs/gst/pbutils/gstpluginsbaseversion.h.in:
	* gst-libs/gst/pbutils/install-plugins.h:
	* gst-libs/gst/pbutils/meson.build:
	* gst-libs/gst/pbutils/missing-plugins.h:
	* gst-libs/gst/pbutils/pbutils-prelude.h:
	* gst-libs/gst/pbutils/pbutils.h:
	* gst-libs/gst/pbutils/pbutils_mkenum.py:
	  pbutils: GST_EXPORT -> GST_PBUTILS_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 10:57:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/gl/Makefile.am:
	* gst-libs/gst/gl/egl/gstegl.h:
	* gst-libs/gst/gl/egl/gsteglimage.h:
	* gst-libs/gst/gl/egl/gstgldisplay_egl.h:
	* gst-libs/gst/gl/egl/gstglmemoryegl.h:
	* gst-libs/gst/gl/gl-prelude.h:
	* gst-libs/gst/gl/gstglapi.h:
	* gst-libs/gst/gl/gstglbasefilter.h:
	* gst-libs/gst/gl/gstglbasememory.h:
	* gst-libs/gst/gl/gstglbuffer.h:
	* gst-libs/gst/gl/gstglbufferpool.h:
	* gst-libs/gst/gl/gstglcolorconvert.h:
	* gst-libs/gst/gl/gstglcontext.h:
	* gst-libs/gst/gl/gstgldebug.h:
	* gst-libs/gst/gl/gstgldisplay.h:
	* gst-libs/gst/gl/gstglfeature.h:
	* gst-libs/gst/gl/gstglfilter.h:
	* gst-libs/gst/gl/gstglformat.h:
	* gst-libs/gst/gl/gstglframebuffer.h:
	* gst-libs/gst/gl/gstglmemory.h:
	* gst-libs/gst/gl/gstglmemorypbo.h:
	* gst-libs/gst/gl/gstgloverlaycompositor.h:
	* gst-libs/gst/gl/gstglquery.h:
	* gst-libs/gst/gl/gstglrenderbuffer.h:
	* gst-libs/gst/gl/gstglshader.h:
	* gst-libs/gst/gl/gstglshaderstrings.h:
	* gst-libs/gst/gl/gstglsl.h:
	* gst-libs/gst/gl/gstglslstage.h:
	* gst-libs/gst/gl/gstglsyncmeta.h:
	* gst-libs/gst/gl/gstglupload.h:
	* gst-libs/gst/gl/gstglutils.h:
	* gst-libs/gst/gl/gstglviewconvert.h:
	* gst-libs/gst/gl/gstglwindow.h:
	* gst-libs/gst/gl/meson.build:
	* gst-libs/gst/gl/wayland/gstgldisplay_wayland.h:
	* gst-libs/gst/gl/x11/gstgldisplay_x11.h:
	  gl: GST_EXPORT -> GST_GL_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 10:43:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/fft/Makefile.am:
	* gst-libs/gst/fft/fft-prelude.h:
	* gst-libs/gst/fft/gstfft.h:
	* gst-libs/gst/fft/gstfftf32.h:
	* gst-libs/gst/fft/gstfftf64.h:
	* gst-libs/gst/fft/gstffts16.h:
	* gst-libs/gst/fft/gstffts32.h:
	* gst-libs/gst/fft/meson.build:
	  fft: GST_EXPORT -> GST_FFT_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 10:36:56 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/audio/Makefile.am:
	* gst-libs/gst/audio/audio-channel-mixer.h:
	* gst-libs/gst/audio/audio-channels.h:
	* gst-libs/gst/audio/audio-converter.h:
	* gst-libs/gst/audio/audio-format.h:
	* gst-libs/gst/audio/audio-info.h:
	* gst-libs/gst/audio/audio-prelude.h:
	* gst-libs/gst/audio/audio-quantize.h:
	* gst-libs/gst/audio/audio-resampler.h:
	* gst-libs/gst/audio/audio.h:
	* gst-libs/gst/audio/audio_mkenum.py:
	* gst-libs/gst/audio/gstaudioaggregator.h:
	* gst-libs/gst/audio/gstaudiobasesink.h:
	* gst-libs/gst/audio/gstaudiobasesrc.h:
	* gst-libs/gst/audio/gstaudiocdsrc.h:
	* gst-libs/gst/audio/gstaudioclock.h:
	* gst-libs/gst/audio/gstaudiodecoder.h:
	* gst-libs/gst/audio/gstaudioencoder.h:
	* gst-libs/gst/audio/gstaudiofilter.h:
	* gst-libs/gst/audio/gstaudioiec61937.h:
	* gst-libs/gst/audio/gstaudiometa.h:
	* gst-libs/gst/audio/gstaudioringbuffer.h:
	* gst-libs/gst/audio/gstaudiosink.h:
	* gst-libs/gst/audio/gstaudiosrc.h:
	* gst-libs/gst/audio/gstaudiostreamalign.h:
	* gst-libs/gst/audio/streamvolume.h:
	  audio: GST_EXPORT -> GST_AUDIO_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 10:28:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* common:
	* gst-libs/gst/app/Makefile.am:
	* gst-libs/gst/app/app-prelude.h:
	* gst-libs/gst/app/app_mkenum.py:
	* gst-libs/gst/app/gstappsink.h:
	* gst-libs/gst/app/gstappsrc.h:
	* gst-libs/gst/app/meson.build:
	  app: GST_EXPORT -> GST_APP_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 10:19:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/allocators/Makefile.am:
	* gst-libs/gst/allocators/allocators-prelude.h:
	* gst-libs/gst/allocators/allocators.h:
	* gst-libs/gst/allocators/gstdmabuf.h:
	* gst-libs/gst/allocators/gstfdmemory.h:
	* gst-libs/gst/allocators/gstphysmemory.h:
	* gst-libs/gst/allocators/meson.build:
	  allocators: GST_EXPORT -> GST_ALLOCATORS_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-12 16:23:02 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: fix channel-mask negotiation
	  When outputting more than two channels, a channel-mask has to be
	  specified in the output caps.
	  We follow the same heuristic as other cases, when downstream
	  does not specify a channel-mask, we use that of the first
	  configured pad, and if there was none we generate a fallback
	  mask.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794257

2018-03-12 13:38:07 +0100  Edward Hervey <edward@centricular.com>

	* gst/playback/gsturidecodebin3.c:
	  playback: Remove subtitle-encoding property on uridecodebin3
	  For now, until we found a more future-proof solution

2018-03-11 22:57:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/video/video-format.h:
	  docs: video: fix typo and add since marker

2018-03-11 22:45:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	  docs: libs: add another missing symbol

2018-03-11 19:06:45 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gst-plugins-base-libs-sections.txt:
	  docs: add video region of interest add/get parameter api to docs

2018-03-11 12:13:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/audio/audio.h:
	  audio: Add audioaggregator.h in audio.h

2018-03-08 01:01:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/libs/gst-plugins-base-libs-docs.sgml:
	* docs/libs/gst-plugins-base-libs-sections.txt:
	* gst-libs/gst/allocators/gstphysmemory.c:
	  docs: add GstPhysMemoryAllocator to docs

2018-03-07 18:50:05 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/alsa/gstalsasrc.c:
	* ext/alsa/gstalsasrc.h:
	  Revert "alsasrc: lock calls to snd_pcm_delay() with mutex as in alsasink"
	  This reverts commit 4f88125b3ddc15367d528e850cc27739f5bb27fa.
	  This seems to have undesirable side-effects and needs more
	  investigation first.
	  https://bugzilla.gnome.org/show_bug.cgi?id=746015

2018-03-05 19:57:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* m4/gst-gl.m4:
	  gl: only enable gbm backend if gudev is available
	  gudev/gudev.h is included unconditionally, so only enable
	  the gbm backend if gudev was actually found. This also
	  matches the meson build behaviour.
	  Should fix build on GNOME SDK builder.

=== release 1.13.90 ===

2018-03-03 22:07:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.13.90

2018-03-03 22:07:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-03-02 15:21:25 +0100  Edward Hervey <edward@centricular.com>

	* pkgconfig/gstreamer-tag-uninstalled.pc.in:
	* pkgconfig/gstreamer-tag.pc.in:
	  pkgconfig: Add private zlib dependency for libgsttag
	  Fixes issues with static application builds (which might not know
	  they need to link with zlib when using a libgsttag that was compiled
	  with it).
	  https://bugzilla.gnome.org/show_bug.cgi?id=793989

2018-03-01 18:07:37 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: enable more warnings
	  https://bugzilla.gnome.org/show_bug.cgi?id=793960

2018-02-28 23:12:39 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/video/gstvideodecoder.c:
	  videodecoder: Reset QoS time after pushing segment
	  This fixes playbin gapless playback. An ancient QoS time was used and
	  would lead to all frames being dropped.
	  https://bugzilla.gnome.org/show_bug.cgi?id=668995

2018-03-01 00:34:06 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/gl/gstglmixer.c:
	* ext/gl/gstglstereomix.c:
	* gst-libs/gst/audio/gstaudioaggregator.c:
	  Port to latest GstAggregator segment API
	  The aggregator segment is now exposed on the src pad
	  https://bugzilla.gnome.org/show_bug.cgi?id=793944

2018-02-28 22:12:57 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	* gst-libs/gst/audio/gstaudioaggregator.h:
	* gst/audiomixer/gstaudiointerleave.c:
	* gst/audiomixer/gstaudiomixer.c:
	  audioaggregator: remove GstAudioAggregator->info
	  As we now require subclasses to use a subclass of
	  GstAudioAggregatorPad, we can reuse its info field
	  https://bugzilla.gnome.org/show_bug.cgi?id=793943

2018-03-01 12:43:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/libs/tag.c:
	  tests: tags: add unit test for ID3 v2.4 extended headers
	  https://bugzilla.gnome.org/show_bug.cgi?id=792983
